[depreciated]mms-1.0.8.1 packaged for Debian/Edgy (PLS test)

Moderator: Moderator

User avatar
Uatschitchun
Overlord
Posts: 3189
Joined: Tue Dec 06, 2005 6:55 pm
Location: Germany
Contact:

[depreciated]mms-1.0.8.1 packaged for Debian/Edgy (PLS test)

Postby Uatschitchun » Sat Dec 16, 2006 9:28 pm

Outdated!!

Pls use this Thread:
http://mms.kicks-ass.org/forum/viewtopic.php?t=596



Hi there!

I've built a deb-package (for Edgy) of MMS 1.0.8

This is for testing puposes only! So pls feel free and test it as far as you can!!
I did in a minimal-edgy-chroot, with lintian and on my productive system ...

Configure line is:
--enable-alsaplayer --enable-game --enable-tv --enable-eject-tray

There are some dependencies.
Download, install with "dpkg -i" and run "apt-get -f install" to get the missing packages installed, too

Here's the link:
http://www.prodeia.de/mms/

There you can find the source packages for installation from source or with other configure-lines (debian/rules) on other debians (don't know if all dependencies will fit).

PLS give feedback and test, test, test ... I'm quite unexperienced with building new debs ... so be kind ;)

Lg
Roman

P.S.
How do I build binary packages from a source package?

You will need all of foo_*.dsc, foo_*.tar.gz and foo_*.diff.gz to compile the source (note: there is no .diff.gz for some packages that are native to Debian).

Once you have them (How do I install a source package?, Section 6.13), if you have the dpkg-dev package installed, the following command:
dpkg-source -x foo_version-revision.dsc

will extract the package into a directory called foo-version.

If you want just to compile the package, you may cd into foo-version directory and issue the command
dpkg-buildpackage -rfakeroot -b

to build the package (note that this also requires the fakeroot package), and then
dpkg -i ../foo_version-revision_arch.deb

to install the newly-built package(s).


Complete Changelog:
mms (1.0.8.1-5) edgy; urgency=low

* [Added] mms-audio-library is built and installed to /usr/lib/mms
(for now)
* [Added] mms-pic-library is built and installed to /usr/lib/mms (for
now)

-- Roman Müllenschläder <muellenschlaeder@prodeia.de> Thu, 21 Dec 2006 17:39:41 +0100

mms (1.0.8.1-4) edgy; urgency=low

[ Roman Müllenschläder ]
* [Changed] debian/control: Description changed to reflect the last
changes
* [Added] docbook-to-man conversion to create manpage and install
the manpage right away
* [Changed] debian/rules: to remove dpatch's config.orig
* [Added] 04_mms-icon-png.dpatch, changed .install, .desktop, .menu
accordingly
* [Changed] 00list
* [Added] 05_revert-patch-lirc-to-keyboard.dpatch to keep Makefile from doing 'patch-lirc'
* [Fixed] 1.0.8.1-3 [TODO] config.orig in /etc/mms should not be installed
* [Fixed] 1.0.8-5 [TODO] manpage
* [Fixed] 1.0.8-5 [TODO] use /var/lib/mms instead of /etc/mms and link files -
this was fixed in Upstream
* [TODO] Add README.Debian
* [TODO] Update debian/copyright
* [Changed] vdr2xmltv.cfg to use /tmp/TV.xml.tmp instead of
./TV.xml.tmp

-- Roman Müllenschläder <muellenschlaeder@prodeia.de> Thu, 21 Dec 2006 14:49:11 +0100

mms (1.0.8.1-3) edgy; urgency=low

* Now compiling with lirc-support
* [Added] 'lirc' to Recommends
* [Moved] 'mplayer|mplayer-nogui' from Depends to Recommends
* [Removed] '{arch}' from orig.tar.gz
* [Changed] debian/rules to not compile twice when doing 'dpkg-
buildpackage -rfakeroot'
* [Added] vdr2xmltv-0.0.2-2
* [Added] libtime-modules-perl to Depends
* [Changed] vdr2xmltv.cfg to reflect MMS's needs
* [Added] debian/control: now suggests vdr
* [Added] Copy cfg/* to /usr/share/doc/mms/examples
* [Added] Copy vdr2xmltv.cfg to /usr/share/doc/mms/examples
* [Added] debian/control: Added libcommoncpp2-1.4-0 to Depends for to
prepare of excluding internal libcommoncpp2
* [Added] debian/control: Added libcommoncpp2-dev to Build-Depends for
to prepare of excluding internal libcommoncpp2
* [Added] 03_config_changes_vdr2xmltv.dpatch to change 'config' for
vdr2xmltv usage
* [Todo] Add README.Debian
* [Todo] config.orig in /etc/mms should not be installed !?

-- Roman Müllenschläder <muellenschlaeder@prodeia.de> Wed, 20 Dec 2006 20:23:15 +0100

mms (1.0.8.1-2) edgy; urgency=low

[ Roman Müllenschläder ]
* [Changed] mms.postinst to reflect upstream changes

-- Roman Müllenschläder <muellenschlaeder@prodeia.de> Wed, 20 Dec 2006 16:08:48 +0100

mms (1.0.8.1-1) edgy; urgency=low

* New upstream release 1.0.8.1--patch-50

-- Roman Müllenschläder <muellenschlaeder@prodeia.de> Wed, 20 Dec 2006 13:11:22 +0100

mms (1.0.8-6) edgy; urgency=low

* [Added] some more changes done through 02_config-changes-
alsaplayer.dpatch

-- Roman Müllenschläder <muellenschlaeder@prodeia.de> Tue, 19 Dec 2006 20:32:48 +0100

mms (1.0.8-5) edgy; urgency=low

* [TODO] manpage
* [TODO] use /var/lib/mms instead of /etc/mms and link files
(cause of policies - cop)
* [Fixed] change mms_icon from png to xpm (cop)
* [Fixed] resize mms_icon.xpm to 32x32 (cop)
* [Fixed] mms.menu: section 'Multimedia' -> 'Sound' (cop)
* [Fixed] control: extended-description-line was too long (cop)
* [Fixed] control: Section was not set, now set to graphics (cop)
* [Fixed] control: Removed duplicate 'libsdl1.2debian' and 'libtag1c2a' dependency (cop)

-- Roman Müllenschläder <muellenschlaeder@prodeia.de> Tue, 19 Dec 2006 16:54:25 +0100

mms (1.0.8-4) edgy; urgency=low

* Changed over to dpatch
* Changed binary mms_icon.png to uuencoded patch in 01_mms-icon.dpatch
* Moved hard changes of config into 02_config-changes-alsaplayer.dpatch
* Changed debian/rules to work with dpatch
* Added dpatch to Build-Depends
* Changed configure to hard set architecture to i386
* Update description in control
* [TODO] Update debian/copyright
* Changed names to 'My Media System'

-- Roman Müllenschläder <muellenschlaeder@prodeia.de> Tue, 19 Dec 2006 13:00:26 +0100

mms (1.0.8-3) edgy; urgency=low

* New version for to see if update works
* changed wrong mail

-- Roman Müllenschläder <muellenschlaeder@prodeia.de> Mon, 18 Dec 2006 11:39:17 +0100

mms (1.0.8-2) edgy; urgency=low

[ Roman Müllenschläder ]
* added alsaplayer-common to dependencies
* added mms.desktop and mms_icon.png
* added mms.menu
* added mms.docs
* added mms.postinst -> changing permissions on /etc/mms and /usr/share/mms (provisorium)

[ Roman Müllenschläder ]
* changed cfg/config-sdl to work with alsaplayer (needs dpatch still)
* changed dependency 'mplayer' to 'mplayer | mplayer-nogui'

-- Roman Müllenschläder <muellenschlaeder@prodeia.de> Mon, 18 Dec 2006 10:06:33 +0100

mms (1.0.8-1) edgy; urgency=low

* Initial release

-- Roman Müllenschläder <muellenschlaeder@prodeia.de> Sat, 16 Dec 2006 16:36:39 +0100
Last edited by Uatschitchun on Wed Mar 07, 2007 8:08 am, edited 6 times in total.

User avatar
acmelabs
Overlord
Posts: 2365
Joined: Mon Feb 20, 2006 9:18 pm
Location: Germany
Contact:

Re: [Announce] mms_1.0.8-1_i386.deb for Edgy (PLS test it!)

Postby acmelabs » Sat Dec 16, 2006 11:19 pm

Very very cool! :D
Will test tomorrow.

Regards,

Andreas

ps: I've added at the Wiki-Main-Page/News a link to this post here.

User avatar
Uatschitchun
Overlord
Posts: 3189
Joined: Tue Dec 06, 2005 6:55 pm
Location: Germany
Contact:

Postby Uatschitchun » Sun Dec 17, 2006 11:14 am

Ok ... but you know that it's a very early test stadium ...

Lg
Roman

User avatar
acmelabs
Overlord
Posts: 2365
Joined: Mon Feb 20, 2006 9:18 pm
Location: Germany
Contact:

Postby acmelabs » Sun Dec 17, 2006 1:45 pm

Uatschitchun wrote:Ok ... but you know that it's a very early test stadium ...

Lg
Roman

Yep, I know, but we need as much testers as possible.
Do You know, what criteria must be met, to be added into the standard debian/ubuntu package collection?

And could you briefly describe how you exepct the test to be done? Do you assume a MMS-free system?
Does it matter, if I test it on a system with an already installed MMS? In this case the "apt-get -f install" is more or less without an effect, isn't it?

Could you drop a line about it?

Thanks in advance.

Regards,

Andreas

ps: did you try the new vdr2xmltv? I've added the sorting stuff.

User avatar
Uatschitchun
Overlord
Posts: 3189
Joined: Tue Dec 06, 2005 6:55 pm
Location: Germany
Contact:

Postby Uatschitchun » Sun Dec 17, 2006 3:16 pm

acmelabs wrote:Yep, I know, but we need as much testers as possible.

Right ;)
Do You know, what criteria must be met, to be added into the standard debian/ubuntu package collection?

Not realy, but I'm talking to people involved ...

And could you briefly describe how you exepct the test to be done? Do you assume a MMS-free system?

No, but the deb installs into /usr/bin cause of debs are not allowed to touch /usr/local

I've updated the package cause there was a dependency missing for alsaplayer-common and some other changes!

So if you have a selfcompiled version aside the deb be sure to install this one into /usr/local
The main tests should go for dependencies, so a clean and fresh system is preferable ... I do test with a fresh edgy in vmware ...

Does it matter, if I test it on a system with an already installed MMS? In this case the "apt-get -f install" is more or less without an effect, isn't it?

There's no connection between selfcompiled and "apt-get -f install" ...
apt won't solve dependencies on it's own when using "dpkg -i" but it stores the missing packages which are then installed with "apt-get -f install".
For sure, if you have a selfcompiled version running, you should have no problem with dependencies cause of already having all neccessary installed.

Could you drop a line about it?

... jepp ... if a few more is alright :twisted:

ps: did you try the new vdr2xmltv? I've added the sorting stuff.

Not right now cause I focused on the deb ...

User avatar
arj
Site Admin
Posts: 2316
Joined: Thu Dec 01, 2005 8:51 pm
Location: Denmark
Contact:

Postby arj » Sun Dec 17, 2006 7:03 pm

Hello :D

Excellent news!

I installed ubuntu on a spare machine to test the package but the link is b0rked ;-)

http://www.prodeia.de/mms/mms_1.0.8-2_i386.deb

User avatar
acmelabs
Overlord
Posts: 2365
Joined: Mon Feb 20, 2006 9:18 pm
Location: Germany
Contact:

Postby acmelabs » Sun Dec 17, 2006 7:55 pm

arj wrote:Hello :D

Excellent news!

I installed ubuntu on a spare machine to test the package but the link is b0rked ;-)

http://www.prodeia.de/mms/mms_1.0.8-2_i386.deb

Yep, still broken. Rooooommmmaaaaaaaannnnnn !! Where are you ????

EDIT:
I'm sitting here with a freshly installed Kubuntu Edgy, and waiting for this debian package! ;-)

User avatar
Uatschitchun
Overlord
Posts: 3189
Joined: Tue Dec 06, 2005 6:55 pm
Location: Germany
Contact:

Postby Uatschitchun » Mon Dec 18, 2006 10:07 am

Hm .. Sorry ... I was faster with posting than with building the package ;)

Had no time left cause I needed to see 'Anne Clark' live ... and did not want to release a broken deb ... so I decided to better not release :twisted:

So now here we are again!

This version should be working nice ... earlier one had problems with write-permissions in /etc/mms and /usr/share/mms ... sadly I can't get it to use 'install-user' cause I don't know how to represent this in 'rules' ;(

Here's the changelog:
mms (1.0.8-3) edgy; urgency=low

* New version for to see if update works

-- Roman Müllenschläder <muellenschlaeder@prodeia.de> Mon, 18 Dec 2006 10:48:25 +0100

mms (1.0.8-2) edgy; urgency=low

[ Roman Müllenschläder ]
* added alsaplayer-common to dependencies
* added mms.desktop and mms_icon.png
* added mms.menu
* added mms.docs
* added mms.postinst -> changing permissions on /etc/mms and /usr/share/mms (provisorium)

[ Roman Müllenschläder ]
* changed cfg/config-sdl to work with alsaplayer (needs dpatch still)
* changed dependency 'mplayer' to 'mplayer | mplayer-nogui'

-- Roman Müllenschläder <muellenschlaeder@prodeia.de> Mon, 18 Dec 2006 10:06:33 +0100

mms (1.0.8-1) edgy; urgency=low

* Initial release

-- Roman Müllenschläder <meullenschlaeder@prodeia.de> Sat, 16 Dec 2006 16:36:39 +0100


This version gives the opportunity to have mpayer-nogui (for thin systems) or mplayer. It even presents MMS in gnome's menu (KDE, too????).
I had to change config-sdl in a hard way to work with alsaplayer (MMS should play after install, shouldn't it) :wink:
This is going to be put in a dpatch, so that the changes are made to the deb only, not to the original source!

Next step will be to split up the package into:
mms-common - including all common files like themes, locale, docs
mms-'flavour' - this represents different compile options (like SDL-alsaplayer-mplayer or Dxr3-xine-dxr3player)

What about the name?
Should the package be named 'mms' or 'mmsv2' ???

Lg
Roman

P.S. Sorry again for the inconvenience of preparing to test and not beeing able to test! :twisted:

User avatar
acmelabs
Overlord
Posts: 2365
Joined: Mon Feb 20, 2006 9:18 pm
Location: Germany
Contact:

Postby acmelabs » Mon Dec 18, 2006 12:20 pm

[Report]
    Linux-Version: Kubuntu 6.10 out of the box, but fully patched, (vmware).

    1) direct hit on the link with Konqueror doesn't work, had to use "Verknüfung speichern unter... / Save link as.."
    2) dpkg -i gives:

    Code: Select all

    root@namib:/home/acme# dpkg -i mms_1.0.8-3_i386.deb
    Wähle vormals abgewähltes Paket mms.
    (Lese Datenbank ... 84146 Dateien und Verzeichnisse sind derzeit installiert.)
    Entpacke mms (aus mms_1.0.8-3_i386.deb) ...
    dpkg: Abhängigkeitsprobleme verhindern Konfiguration von mms:
     mms hängt ab von libalsaplayer0; aber:
      Package libalsaplayer0 is not installed.
     mms hängt ab von mplayer | mplayer-nogui; aber:
      Package mplayer is not installed.
      Package mplayer-nogui is not installed.
     mms hängt ab von alsaplayer-daemon; aber:
      Package alsaplayer-daemon is not installed.
     mms hängt ab von alsaplayer-alsa; aber:
      Package alsaplayer-alsa is not installed.
     mms hängt ab von alsaplayer-common; aber:
      Package alsaplayer-common is not installed.
    dpkg: Fehler beim Bearbeiten von mms (--install):
     Abhängigkeitsprobleme - lasse es unkonfiguriert
    Fehler traten auf beim Bearbeiten von:
     mms

    3) running a apt-get -f install gives:

    Code: Select all

    root@namib:/home/acme# apt-get -f install
    Paketlisten werden gelesen... Fertig
    Abhängigkeitsbaum wird aufgebaut
    Reading state information... Fertig
    Abhängigkeit werden korrigiert... Fertig
    The following packages were automatically installed and are no longer required:
      mms
    Use 'apt-get autoremove' to remove them.
    Die folgenden Pakete werden ENTFERNT:
      mms
    0 aktualisiert, 0 neu installiert, 1 zu entfernen und 0 nicht aktualisiert.
    1 nicht vollständig installiert oder entfernt.
    Es müssen 0B Archive geholt werden.
    Nach dem Auspacken werden 2966kB Plattenplatz freigegeben worden sein.
    Möchten Sie fortfahren [J/n]?
    (Lese Datenbank ... 84294 Dateien und Verzeichnisse sind derzeit installiert.)
    Entferne mms ...



So, what do I do wrong?

Regards,

Andreas

User avatar
Uatschitchun
Overlord
Posts: 3189
Joined: Tue Dec 06, 2005 6:55 pm
Location: Germany
Contact:

Postby Uatschitchun » Mon Dec 18, 2006 4:35 pm

Do you have universe and multiverse in your sources.list?

Lg
Roman

User avatar
acmelabs
Overlord
Posts: 2365
Joined: Mon Feb 20, 2006 9:18 pm
Location: Germany
Contact:

Postby acmelabs » Mon Dec 18, 2006 5:41 pm

Uatschitchun wrote:Do you have universe and multiverse in your sources.list?

Lg
Roman

no! should I?

User avatar
Uatschitchun
Overlord
Posts: 3189
Joined: Tue Dec 06, 2005 6:55 pm
Location: Germany
Contact:

Postby Uatschitchun » Mon Dec 18, 2006 5:54 pm

If you find the dependencies elsewhere ;)

Remember your installation of mplayer some time ago :twisted:

User avatar
acmelabs
Overlord
Posts: 2365
Joined: Mon Feb 20, 2006 9:18 pm
Location: Germany
Contact:

Postby acmelabs » Mon Dec 18, 2006 5:57 pm

OK, after taking my modified sources.list, the installation seems ok.

Code: Select all

root@namib:/home/acme# apt-get -f install
Paketlisten werden gelesen... Fertig
Abhängigkeitsbaum wird aufgebaut
Reading state information... Fertig
Abhängigkeit werden korrigiert... Fertig
Die folgenden zusätzlichen Pakete werden installiert:
  alsaplayer-alsa alsaplayer-common alsaplayer-daemon libaa1 libalsaplayer0
  libdv4 libdvdread3 libfaac0 libggi2 libgii1 libgii1-target-x libid3tag0
  liblame0 liblircclient0 libmad0 libmikmod2 libmp4v2-0 libxvidcore4 mplayer
  mplayer-skins
Vorgeschlagene Pakete:
  libdvdcss2 libggi-target-emu libggi-target-monotext libggimisc2 lirc
  w32codecs libdvdcss mplayer-doc
Empfohlene Pakete:
  libdv-bin libggi-target-x libggi-target
Die folgenden NEUEN Pakete werden installiert:
  alsaplayer-alsa alsaplayer-common alsaplayer-daemon libaa1 libalsaplayer0
  libdv4 libdvdread3 libfaac0 libggi2 libgii1 libgii1-target-x libid3tag0
  liblame0 liblircclient0 libmad0 libmikmod2 libmp4v2-0 libxvidcore4 mplayer
  mplayer-skins
0 aktualisiert, 20 neu installiert, 0 zu entfernen und 1 nicht aktualisiert.
1 nicht vollständig installiert oder entfernt.
Es müssen 5716kB Archive geholt werden.
Nach dem Auspacken werden 15,1MB Plattenplatz zusätzlich benutzt.
Möchten Sie fortfahren [J/n]?
Hole:1 http://www.artfiles.org edgy/universe libalsaplayer0 0.99.76-8ubuntu1 [30,3kB]
Hole:2 http://www.artfiles.org edgy/main libaa1 1.4p5-30 [55,5kB]
Hole:3 http://www.artfiles.org edgy/main libdv4 0.104-2 [72,8kB]
Hole:4 http://www.artfiles.org edgy/universe libdvdread3 0.9.6-3ubuntu1 [55,0kB]
Hole:5 http://www.artfiles.org edgy/multiverse libmp4v2-0 2.0.0+cvs20040908+mp4v2+bmp-0ubuntu3 [214kB]
Hole:6 http://www.artfiles.org edgy/multiverse libfaac0 1.24clean-0ubuntu4 [55,2kB]
Hole:7 http://www.artfiles.org edgy/universe libgii1-target-x 1:1.0.1-2 [15,9kB]
Hole:8 http://www.artfiles.org edgy/universe libgii1 1:1.0.1-2 [234kB]
Hole:9 http://www.artfiles.org edgy/universe libggi2 1:2.2.1-4ubuntu1 [482kB]
Hole:10 http://www.artfiles.org edgy/multiverse liblame0 3.96.1-2 [187kB]
Hole:11 http://www.artfiles.org edgy/main liblircclient0 0.8.0-5ubuntu1 [55,9kB]
Hole:12 http://www.artfiles.org edgy/multiverse libxvidcore4 2:1.1.0-final-0.1ubuntu1 [202kB]
Hole:13 http://www.artfiles.org edgy/multiverse mplayer-skins 2-6 [70,2kB]
Hole:14 http://www.artfiles.org edgy/multiverse mplayer 2:0.99+1.0pre8-0ubuntu8 [3545kB]
Hole:15 http://www.artfiles.org edgy/universe alsaplayer-daemon 0.99.76-8ubuntu1 [27,0kB]
Hole:16 http://www.artfiles.org edgy/universe alsaplayer-alsa 0.99.76-8ubuntu1 [26,9kB]
Hole:17 http://www.artfiles.org edgy/main libid3tag0 0.15.1b-8 [34,9kB]
Hole:18 http://www.artfiles.org edgy/main libmad0 0.15.1b-2.1 [76,9kB]
Hole:19 http://www.artfiles.org edgy/main libmikmod2 3.1.11-a-6ubuntu2 [124kB]
Hole:20 http://www.artfiles.org edgy/universe alsaplayer-common 0.99.76-8ubuntu1 [153kB]
Es wurden 5716kB in 5s geholt (1109kB/s)
Wähle vormals abgewähltes Paket libalsaplayer0.
(Lese Datenbank ... 84295 Dateien und Verzeichnisse sind derzeit installiert.)
Entpacke libalsaplayer0 (aus .../libalsaplayer0_0.99.76-8ubuntu1_i386.deb) ...
Wähle vormals abgewähltes Paket libaa1.
Entpacke libaa1 (aus .../libaa1_1.4p5-30_i386.deb) ...
Wähle vormals abgewähltes Paket libdv4.
Entpacke libdv4 (aus .../libdv4_0.104-2_i386.deb) ...
Wähle vormals abgewähltes Paket libdvdread3.
Entpacke libdvdread3 (aus .../libdvdread3_0.9.6-3ubuntu1_i386.deb) ...
Wähle vormals abgewähltes Paket libmp4v2-0.
Entpacke libmp4v2-0 (aus .../libmp4v2-0_2.0.0+cvs20040908+mp4v2+bmp-0ubuntu3_i386.deb) ...
Wähle vormals abgewähltes Paket libfaac0.
Entpacke libfaac0 (aus .../libfaac0_1.24clean-0ubuntu4_i386.deb) ...
Wähle vormals abgewähltes Paket libgii1-target-x.
Entpacke libgii1-target-x (aus .../libgii1-target-x_1%3a1.0.1-2_i386.deb) ...
Wähle vormals abgewähltes Paket libgii1.
Entpacke libgii1 (aus .../libgii1_1%3a1.0.1-2_i386.deb) ...
Wähle vormals abgewähltes Paket libggi2.
Entpacke libggi2 (aus .../libggi2_1%3a2.2.1-4ubuntu1_i386.deb) ...
Wähle vormals abgewähltes Paket liblame0.
Entpacke liblame0 (aus .../liblame0_3.96.1-2_i386.deb) ...
Wähle vormals abgewähltes Paket liblircclient0.
Entpacke liblircclient0 (aus .../liblircclient0_0.8.0-5ubuntu1_i386.deb) ...
Wähle vormals abgewähltes Paket libxvidcore4.
Entpacke libxvidcore4 (aus .../libxvidcore4_2%3a1.1.0-final-0.1ubuntu1_i386.deb) ...
Wähle vormals abgewähltes Paket mplayer-skins.
Entpacke mplayer-skins (aus .../mplayer-skins_2-6_all.deb) ...
Wähle vormals abgewähltes Paket mplayer.
Entpacke mplayer (aus .../mplayer_2%3a0.99+1.0pre8-0ubuntu8_i386.deb) ...
Wähle vormals abgewähltes Paket alsaplayer-daemon.
Entpacke alsaplayer-daemon (aus .../alsaplayer-daemon_0.99.76-8ubuntu1_i386.deb) ...
Wähle vormals abgewähltes Paket alsaplayer-alsa.
Entpacke alsaplayer-alsa (aus .../alsaplayer-alsa_0.99.76-8ubuntu1_i386.deb) ...
Wähle vormals abgewähltes Paket libid3tag0.
Entpacke libid3tag0 (aus .../libid3tag0_0.15.1b-8_i386.deb) ...
Wähle vormals abgewähltes Paket libmad0.
Entpacke libmad0 (aus .../libmad0_0.15.1b-2.1_i386.deb) ...
Wähle vormals abgewähltes Paket libmikmod2.
Entpacke libmikmod2 (aus .../libmikmod2_3.1.11-a-6ubuntu2_i386.deb) ...
Wähle vormals abgewähltes Paket alsaplayer-common.
Entpacke alsaplayer-common (aus .../alsaplayer-common_0.99.76-8ubuntu1_i386.deb) ...
Richte libalsaplayer0 ein (0.99.76-8ubuntu1) ...

Richte libaa1 ein (1.4p5-30) ...

Richte libdv4 ein (0.104-2) ...

Richte libdvdread3 ein (0.9.6-3ubuntu1) ...

Richte libmp4v2-0 ein (2.0.0+cvs20040908+mp4v2+bmp-0ubuntu3) ...

Richte libfaac0 ein (1.24clean-0ubuntu4) ...

Richte libgii1-target-x ein (1.0.1-2) ...
Richte libgii1 ein (1.0.1-2) ...

Richte libggi2 ein (2.2.1-4ubuntu1) ...

Richte liblame0 ein (3.96.1-2) ...

Richte liblircclient0 ein (0.8.0-5ubuntu1) ...

Richte libxvidcore4 ein (1.1.0-final-0.1ubuntu1) ...

Richte mplayer-skins ein (2-6) ...
Richte mplayer ein (0.99+1.0pre8-0ubuntu8) ...

Richte alsaplayer-daemon ein (0.99.76-8ubuntu1) ...

Richte alsaplayer-alsa ein (0.99.76-8ubuntu1) ...
Richte libid3tag0 ein (0.15.1b-8) ...

Richte libmad0 ein (0.15.1b-2.1) ...

Richte libmikmod2 ein (3.1.11-a-6ubuntu2) ...

Richte alsaplayer-common ein (0.99.76-8ubuntu1) ...
Richte mms ein (1.0.8-3) ...



Starting MMS gives now this:

Code: Select all

acme@namib:~$ mms
Config: Öffne Konfigurationsdatei /etc/mms/config
Nutze /etc/mms/ als Konfigurationsverzeichnis
ALSA lib confmisc.c:670:(snd_func_card_driver) cannot find card '0'
ALSA lib conf.c:3479:(_snd_config_evaluate) function snd_func_card_driver returned error: No such device
ALSA lib confmisc.c:391:(snd_func_concat) error evaluating strings
ALSA lib conf.c:3479:(_snd_config_evaluate) function snd_func_concat returned error: No such device
ALSA lib confmisc.c:1070:(snd_func_refer) error evaluating name
ALSA lib conf.c:3479:(_snd_config_evaluate) function snd_func_refer returned error: No such device
ALSA lib conf.c:3947:(snd_config_expand) Evaluate error: No such device
ALSA lib pcm.c:2146:(snd_pcm_open_noupdate) Unknown PCM default
snd_pcm_open: No such device (default)
Failed to initialize plugin!
Failed to register plugin: /usr/lib/alsaplayer/output/libalsa_out.so
Failed to load output plugin "alsa". Trying defaults.
ALSA lib confmisc.c:670:(snd_func_card_driver) cannot find card '0'
ALSA lib conf.c:3479:(_snd_config_evaluate) function snd_func_card_driver returned error: No such device
ALSA lib confmisc.c:391:(snd_func_concat) error evaluating strings
ALSA lib conf.c:3479:(_snd_config_evaluate) function snd_func_concat returned error: No such device
ALSA lib confmisc.c:1070:(snd_func_refer) error evaluating name
ALSA lib conf.c:3479:(_snd_config_evaluate) function snd_func_refer returned error: No such device
ALSA lib conf.c:3947:(snd_config_expand) Evaluate error: No such device
ALSA lib pcm.c:2146:(snd_pcm_open_noupdate) Unknown PCM default
snd_pcm_open: No such device (default)
Failed to initialize plugin!
/usr/lib/alsaplayer/output/libalsa_out.so failed to load
NOTE: THIS IS THE NULL PLUGIN.      YOU WILL NOT HEAR SOUND!!
loading last saved playlist
Audio: Konnte Playliste nicht öffnen: /etc/mms/playlists/last
Illegal instruction


What's now?

Regards,

Andreas

User avatar
Uatschitchun
Overlord
Posts: 3189
Joined: Tue Dec 06, 2005 6:55 pm
Location: Germany
Contact:

Postby Uatschitchun » Mon Dec 18, 2006 6:36 pm

No soundcard?

User avatar
acmelabs
Overlord
Posts: 2365
Joined: Mon Feb 20, 2006 9:18 pm
Location: Germany
Contact:

Postby acmelabs » Mon Dec 18, 2006 7:06 pm

Uatschitchun wrote:No soundcard?

I didn't test my sound-card. So I've tried to play a song with alsaplayer. It failed.
I've installed

Code: Select all

apt-get install alsaplayer-text
, and the sound output works fine.

mms still complains

Code: Select all

sudo mms
Password:
Config: Öffne Konfigurationsdatei /etc/mms/config
Nutze /etc/mms/ als Konfigurationsverzeichnis
loading last saved playlist
Audio: Konnte Playliste nicht öffnen: /etc/mms/playlists/last
Illegal instruction


Trying to give mms this file from my other machine failed with the same error message.

What now?

Regards,

Andreas


Return to “announcements”

Who is online

Users browsing this forum: No registered users and 1 guest